For the complete documentation index, see llms.txt. This page is also available as Markdown.

Create parameter for a tenant payment method

Create a parameter for a tenant payment method. position is used to order the fields when they are listed. key is the ID of the parameter within the payment method. tenantPaymentMethodParameterUid is the primary key of the table. It is assigned a unique UUID but you can assign it your own ID if needed.

Required permissions: PAYMENT_METHOD

post
/tenants/{tenantUid}/paymentmethods/{tenantPaymentMethodUid}/parameters
Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
tenantPaymentMethodUidstringRequired

Reference to a tenant PaymentMethodUid.

Pattern: ^[A-Za-z0-9-_]+
Body
tenantPaymentMethodParameterUidstringOptionalPattern: ^[A-Za-z0-9-_]*
namestringRequired
descriptionstringOptional
requiredbooleanRequired
keystringRequired
typestring · enumRequiredPossible values:
regexstring · regexOptional

regular expression

positionintegerOptional
Responses
201Success
application/json
tenantPaymentMethodParameterUidstringRequiredPattern: ^[A-Za-z0-9-_]+
namestringRequired
descriptionstringRequired
requiredbooleanRequired
keystringRequired
typestring · enumRequiredPossible values:
regexstringRequired

regular expression

positionintegerRequired
createdAtstring · date-timeRequired
createdBystringRequired
lastModifiedAtstring · date-timeRequired
lastModifiedBystringRequired
post/tenants/{tenantUid}/paymentmethods/{tenantPaymentMethodUid}/parameters
POST /v2/tenants/{tenantUid}/paymentmethods/{tenantPaymentMethodUid}/parameters HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 151

{
  "tenantPaymentMethodParameterUid": "text",
  "name": "text",
  "description": "text",
  "required": true,
  "key": "text",
  "type": "TEXT",
  "regex": "/[a-z]/",
  "position": 1
}
201Success
{
  "tenantPaymentMethodParameterUid": "text",
  "name": "text",
  "description": "text",
  "required": true,
  "key": "text",
  "type": "TEXT",
  "regex": "text",
  "position": 1,
  "createdAt": "2026-01-01T00:00:00.000Z",
  "createdBy": "text",
  "lastModifiedAt": "2026-01-01T00:00:00.000Z",
  "lastModifiedBy": "text"
}

Last updated

Was this helpful?